import com.rinearn.graph2d.RinearnGraph2D;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;


/**
 * 座標値データが記載されたファイルをプロットするだけの、
 * 単純なサンプルコードです。
 */
public class Sample1 {

	public static void main(String[] args) {
		
		// グラフを起動
		RinearnGraph2D graph = new RinearnGraph2D();
		
		try {
			
			// データファイルを読み込んでプロット
			graph.openDataFile(new File("SampleDataFile1.txt"));
			
		// 異常時の例外処理
		} catch (FileNotFoundException fnfe) {
			System.err.println("ファイルが見つかりませんでした。");
		} catch (IOException ioe) {
			System.err.println("ファイルが開けませんでした。");
		}
		
		// グラフを画像ファイルに出力したい場合は、以下を有効にしてください。
		/*
		try {
			graph.exportImageFile(new File("graph.png"), 1.0);
		} catch (IOException ioe) {
			System.err.println("ファイル出力に失敗しました。");
		}
		*/
	}
}
